changeset 34623:baa522889540

build: initial version detection by make deb/rpm was missing quoting
author muxator <a.mux@inwind.it>
date Wed, 11 Oct 2017 01:37:43 +0200
parents b584ed1b225d
children 884855ce5e63
files contrib/packagelib.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/contrib/packagelib.sh	Wed Oct 11 01:19:48 2017 +0200
+++ b/contrib/packagelib.sh	Wed Oct 11 01:37:43 2017 +0200
@@ -12,9 +12,9 @@
     make local || make local PURE=--pure
     HG="$PWD/hg"
 
-    $HG version > /dev/null || { echo 'abort: hg version failed!'; exit 1 ; }
+    "$HG" version > /dev/null || { echo 'abort: hg version failed!'; exit 1 ; }
 
-    hgversion=`LANGUAGE=C $HG version | sed -ne 's/.*(version \(.*\))$/\1/p'`
+    hgversion=`LANGUAGE=C "$HG" version | sed -ne 's/.*(version \(.*\))$/\1/p'`
 
     if echo $hgversion | grep + > /dev/null 2>&1 ; then
         tmp=`echo $hgversion | cut -d+ -f 2`